@charset "UTF-8";

$s-padding-h: .2em !default;
$s-padding-lg-h: ($s-padding-h * 4) !default;

// 静态信息
.static-info {
    .info-name {
        padding:$s-padding-h 2em $s-padding-h 1em;
        font-weight:400;
        white-space: nowrap;
    }
    .info-value{
        padding:$s-padding-h 0;
    }
    dl.info-value {
        padding-top: 0;
        padding-bottom: 0;
        dt {
            font-weight: 400;
        }
        dt,
        dd {
            padding-top: $s-padding-h;
            padding-bottom: $s-padding-h;
        }
    }
}

.static-info-horizontal {
    display: table;
    width: 100%;
    > li {
        display: table-row;
    }
    .info-name {
        display: table-cell;
        width: 1%;
        text-align: right;
    }
    .info-value {
        display: table-cell;
    }
    + .toolbar {
        .btn {
            margin-bottom: $s-padding-h;
            margin-top: $s-padding-h;
        }
    }
    .user-avatar-thumbnail {
        margin:$s-padding-h 0;
    }
}

.static-info-inline {
    > li {
        display: inline-block;
    }
    .info-name {
        display: inline-block;
        width: auto;
        margin-bottom:0;
    }
    .info-value {
        display: inline-block;
        width: auto;
    }
}

.text-middle {
    vertical-align: middle !important;
}

.static-info-lg.static-info-horizontal {
    .info-name {
        padding-top: $s-padding-lg-h;
        padding-bottom: $s-padding-lg-h;
    }
    .info-value{
        padding-top: $s-padding-lg-h;
        padding-bottom: $s-padding-lg-h;
    }
    dl.info-value {
        dt {
            font-weight: 400;
        }
        dt,
        dd {
            padding-top: $s-padding-lg-h;
            padding-bottom: $s-padding-lg-h;
        }
    }
}
